# Operative Container (Operations)

Endpoints to manipulate operative containers.

## List operative container types

> Returns all operativeContainerTypes that match the given query parameters.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to manipulate operative containers.","name":"Operative Container (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OperativeContainerTypesResponse":{"additionalProperties":false,"properties":{"operativeContainerTypes":{"items":{"$ref":"#/components/schemas/OperativeContainerType"},"type":"array"},"total":{"description":"Total number of found entities for this query","type":"integer"}},"type":"object","title":"OperativeContainerTypesResponse","description":"OperativeContainerTypesResponse"},"OperativeContainerType":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"allowedOperativeTypes":{"items":{"$ref":"#/components/schemas/OperativeType"},"minItems":1,"type":"array"},"customAttributes":{"description":"Attributes that can be added to the operativeContainerType. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"description":{"type":"string"},"dimensions":{"$ref":"#/components/schemas/ContainerDimensions"},"iconUrl":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"},"priority":{"description":"This value gives the priority of the respective operativeContainerType. The lower the value the higher is the priority, e.g. priority 1 is higher than priority 10. The priority can be used to order packingContainerTypes in the UI.","format":"int32","maximum":10000,"minimum":1,"type":"integer"},"scannableIdentifiers":{"items":{"$ref":"#/components/schemas/ScannableIdentifier"},"maxItems":1,"type":"array"},"status":{"$ref":"#/components/schemas/OperativeContainerTypeStatus"},"weightLimitInG":{"description":"Maximal weight in gramm(gr) the container can be loaded with. ","minimum":1,"type":"number"}},"required":["id","version","nameLocalized","allowedOperativeTypes"],"type":"object","title":"OperativeContainerType","description":"OperativeContainerType"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"OperativeType":{"enum":["PICKING","PACKING_SOURCE","PACKING_TARGET","HANDOVER","SERVICE"],"type":"string","title":"OperativeType","description":"OperativeType"},"ContainerDimensions":{"additionalProperties":false,"properties":{"heightInCm":{"description":"The height of the container (in cm)","type":"number"},"lengthInCm":{"description":"The length of the container (in cm)","type":"number"},"weightInG":{"description":"The weight of the container (in g)","type":"number"},"widthInCm":{"description":"The width of the container (in cm)","type":"number"}},"type":"object","title":"ContainerDimensions","description":"ContainerDimensions"},"ScannableIdentifier":{"additionalProperties":false,"properties":{"identifiers":{"items":{"maxItems":10,"minItems":1,"type":"string"},"type":"array"},"searchType":{"$ref":"#/components/schemas/SearchType"}},"required":["identifiers"],"type":"object","title":"ScannableIdentifier","description":"ScannableIdentifier"},"SearchType":{"enum":["PREFIX","SUFFIX","CONTAINS"],"type":"string","title":"SearchType","description":"SearchType"},"OperativeContainerTypeStatus":{"enum":["INACTIVE","ACTIVE"],"type":"string","title":"OperativeContainerTypeStatus","description":"OperativeContainerTypeStatus"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/operativecontainertypes":{"get":{"description":"Returns all operativeContainerTypes that match the given query parameters.","operationId":"getOperativeContainerTypes","parameters":[{"description":"entity to start after","in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"description":"number of entities to show","in":"query","name":"size","required":false,"schema":{"default":25,"maximum":500,"minimum":1,"type":"integer"}},{"description":"OperativeType you want to filter by","in":"query","name":"operativeType","required":false,"schema":{"type":"string"}},{"description":"ScannableIdentifier you want to filter by","in":"query","name":"scannableIdentifier","required":false,"schema":{"type":"string"}},{"description":"Provide the localized names and descriptions for the operativContainerType. If not provided the default locale is used., for example de_DE.","in":"query","name":"locale","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperativeContainerTypesResponse"}}},"description":"Found operativeProcess by given ID"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"List operative container types","tags":["Operative Container (Operations)"]}}}}
```

## Create operative container type

> Creates a new operativeContainerType.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to manipulate operative containers.","name":"Operative Container (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OperativeContainerTypeForCreation":{"additionalProperties":false,"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"allowedOperativeTypes":{"items":{"$ref":"#/components/schemas/OperativeType"},"minItems":1,"type":"array"},"customAttributes":{"description":"Attributes that can be added to the operativeContainerType. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"dimensions":{"$ref":"#/components/schemas/ContainerDimensions"},"icon":{"$ref":"#/components/schemas/NamedFile"},"iconUrl":{"description":"","type":"string"},"priority":{"description":"This value gives the priority of the respective operativeContainerType. The lower the value the higher is the priority, e.g. priority 1 is higher than priority 10. The priority can be used to order packingContainerTypes in the UI.","format":"int32","maximum":10000,"minimum":1,"type":"integer"},"scannableIdentifiers":{"items":{"$ref":"#/components/schemas/ScannableIdentifier"},"maxItems":1,"type":"array"},"status":{"$ref":"#/components/schemas/OperativeContainerTypeStatus"},"weightLimitInG":{"description":"Maximal weight in gramm(gr) the container can be loaded with. ","minimum":1,"type":"number"}},"required":["nameLocalized","allowedOperativeTypes"],"type":"object","title":"OperativeContainerTypeForCreation","description":"OperativeContainerTypeForCreation"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"OperativeType":{"enum":["PICKING","PACKING_SOURCE","PACKING_TARGET","HANDOVER","SERVICE"],"type":"string","title":"OperativeType","description":"OperativeType"},"ContainerDimensions":{"additionalProperties":false,"properties":{"heightInCm":{"description":"The height of the container (in cm)","type":"number"},"lengthInCm":{"description":"The length of the container (in cm)","type":"number"},"weightInG":{"description":"The weight of the container (in g)","type":"number"},"widthInCm":{"description":"The width of the container (in cm)","type":"number"}},"type":"object","title":"ContainerDimensions","description":"ContainerDimensions"},"NamedFile":{"additionalProperties":false,"properties":{"content":{"description":"File content base64 encoded","type":"string"},"name":{"description":"File name with extension","type":"string"}},"required":["name","content"],"type":"object","xml":{"name":"NamedFile"},"title":"NamedFile","description":"NamedFile"},"ScannableIdentifier":{"additionalProperties":false,"properties":{"identifiers":{"items":{"maxItems":10,"minItems":1,"type":"string"},"type":"array"},"searchType":{"$ref":"#/components/schemas/SearchType"}},"required":["identifiers"],"type":"object","title":"ScannableIdentifier","description":"ScannableIdentifier"},"SearchType":{"enum":["PREFIX","SUFFIX","CONTAINS"],"type":"string","title":"SearchType","description":"SearchType"},"OperativeContainerTypeStatus":{"enum":["INACTIVE","ACTIVE"],"type":"string","title":"OperativeContainerTypeStatus","description":"OperativeContainerTypeStatus"},"OperativeContainerType":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"allowedOperativeTypes":{"items":{"$ref":"#/components/schemas/OperativeType"},"minItems":1,"type":"array"},"customAttributes":{"description":"Attributes that can be added to the operativeContainerType. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"description":{"type":"string"},"dimensions":{"$ref":"#/components/schemas/ContainerDimensions"},"iconUrl":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"},"priority":{"description":"This value gives the priority of the respective operativeContainerType. The lower the value the higher is the priority, e.g. priority 1 is higher than priority 10. The priority can be used to order packingContainerTypes in the UI.","format":"int32","maximum":10000,"minimum":1,"type":"integer"},"scannableIdentifiers":{"items":{"$ref":"#/components/schemas/ScannableIdentifier"},"maxItems":1,"type":"array"},"status":{"$ref":"#/components/schemas/OperativeContainerTypeStatus"},"weightLimitInG":{"description":"Maximal weight in gramm(gr) the container can be loaded with. ","minimum":1,"type":"number"}},"required":["id","version","nameLocalized","allowedOperativeTypes"],"type":"object","title":"OperativeContainerType","description":"OperativeContainerType"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/operativecontainertypes":{"post":{"description":"Creates a new operativeContainerType.","operationId":"createOperativeContainerType","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperativeContainerTypeForCreation"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperativeContainerType"}}},"description":"Successfully created resource."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Create operative container type","tags":["Operative Container (Operations)"]}}}}
```

## Get operative container type

> Returns the operativeContainerType with the given ID.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to manipulate operative containers.","name":"Operative Container (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OperativeContainerType":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"allowedOperativeTypes":{"items":{"$ref":"#/components/schemas/OperativeType"},"minItems":1,"type":"array"},"customAttributes":{"description":"Attributes that can be added to the operativeContainerType. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"description":{"type":"string"},"dimensions":{"$ref":"#/components/schemas/ContainerDimensions"},"iconUrl":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"},"priority":{"description":"This value gives the priority of the respective operativeContainerType. The lower the value the higher is the priority, e.g. priority 1 is higher than priority 10. The priority can be used to order packingContainerTypes in the UI.","format":"int32","maximum":10000,"minimum":1,"type":"integer"},"scannableIdentifiers":{"items":{"$ref":"#/components/schemas/ScannableIdentifier"},"maxItems":1,"type":"array"},"status":{"$ref":"#/components/schemas/OperativeContainerTypeStatus"},"weightLimitInG":{"description":"Maximal weight in gramm(gr) the container can be loaded with. ","minimum":1,"type":"number"}},"required":["id","version","nameLocalized","allowedOperativeTypes"],"type":"object","title":"OperativeContainerType","description":"OperativeContainerType"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"OperativeType":{"enum":["PICKING","PACKING_SOURCE","PACKING_TARGET","HANDOVER","SERVICE"],"type":"string","title":"OperativeType","description":"OperativeType"},"ContainerDimensions":{"additionalProperties":false,"properties":{"heightInCm":{"description":"The height of the container (in cm)","type":"number"},"lengthInCm":{"description":"The length of the container (in cm)","type":"number"},"weightInG":{"description":"The weight of the container (in g)","type":"number"},"widthInCm":{"description":"The width of the container (in cm)","type":"number"}},"type":"object","title":"ContainerDimensions","description":"ContainerDimensions"},"ScannableIdentifier":{"additionalProperties":false,"properties":{"identifiers":{"items":{"maxItems":10,"minItems":1,"type":"string"},"type":"array"},"searchType":{"$ref":"#/components/schemas/SearchType"}},"required":["identifiers"],"type":"object","title":"ScannableIdentifier","description":"ScannableIdentifier"},"SearchType":{"enum":["PREFIX","SUFFIX","CONTAINS"],"type":"string","title":"SearchType","description":"SearchType"},"OperativeContainerTypeStatus":{"enum":["INACTIVE","ACTIVE"],"type":"string","title":"OperativeContainerTypeStatus","description":"OperativeContainerTypeStatus"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/operativecontainertypes/{operativeContainerTypeId}":{"get":{"description":"Returns the operativeContainerType with the given ID.","operationId":"getOperativeContainerTypeById","parameters":[{"description":"id of the operativeContainer you want to retrieve","in":"path","name":"operativeContainerTypeId","required":true,"schema":{"type":"string"}},{"description":"Provide the localized names and descriptions for the operativeContainerTypes. If not provided the default locale is used., for example de_DE.","in":"query","name":"locale","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperativeContainerType"}}},"description":"Found operativeContainerType by given ID"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get operative container type","tags":["Operative Container (Operations)"]}}}}
```

## Update operative container type

> Updates the operativeContainerType with the given ID.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to manipulate operative containers.","name":"Operative Container (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OperativeContainerTypeForUpdate":{"additionalProperties":false,"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"allowedOperativeTypes":{"items":{"$ref":"#/components/schemas/OperativeType"},"type":"array"},"customAttributes":{"description":"Attributes that can be added to the operativeContainerTypes. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"dimensions":{"$ref":"#/components/schemas/ContainerDimensions"},"iconUrl":{"description":"","type":"string"},"priority":{"description":"This value gives the priority of the respective operativeContainerType. The lower the value the higher is the priority, e.g. priority 1 is higher than priority 10. The priority can be used to order packingContainerTypes in the UI.","format":"int32","maximum":10000,"minimum":1,"type":"integer"},"scannableIdentifiers":{"items":{"$ref":"#/components/schemas/ScannableIdentifier"},"maxItems":1,"type":"array"},"status":{"$ref":"#/components/schemas/OperativeContainerTypeStatus"},"version":{"minimum":1,"type":"integer"},"weightLimitInG":{"description":"Maximal weight in gramm(gr) the container can be loaded with. ","minimum":1,"type":"number"}},"required":["version"],"type":"object","title":"OperativeContainerTypeForUpdate","description":"OperativeContainerTypeForUpdate"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"OperativeType":{"enum":["PICKING","PACKING_SOURCE","PACKING_TARGET","HANDOVER","SERVICE"],"type":"string","title":"OperativeType","description":"OperativeType"},"ContainerDimensions":{"additionalProperties":false,"properties":{"heightInCm":{"description":"The height of the container (in cm)","type":"number"},"lengthInCm":{"description":"The length of the container (in cm)","type":"number"},"weightInG":{"description":"The weight of the container (in g)","type":"number"},"widthInCm":{"description":"The width of the container (in cm)","type":"number"}},"type":"object","title":"ContainerDimensions","description":"ContainerDimensions"},"ScannableIdentifier":{"additionalProperties":false,"properties":{"identifiers":{"items":{"maxItems":10,"minItems":1,"type":"string"},"type":"array"},"searchType":{"$ref":"#/components/schemas/SearchType"}},"required":["identifiers"],"type":"object","title":"ScannableIdentifier","description":"ScannableIdentifier"},"SearchType":{"enum":["PREFIX","SUFFIX","CONTAINS"],"type":"string","title":"SearchType","description":"SearchType"},"OperativeContainerTypeStatus":{"enum":["INACTIVE","ACTIVE"],"type":"string","title":"OperativeContainerTypeStatus","description":"OperativeContainerTypeStatus"},"OperativeContainerType":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"allowedOperativeTypes":{"items":{"$ref":"#/components/schemas/OperativeType"},"minItems":1,"type":"array"},"customAttributes":{"description":"Attributes that can be added to the operativeContainerType. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"description":{"type":"string"},"dimensions":{"$ref":"#/components/schemas/ContainerDimensions"},"iconUrl":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"},"priority":{"description":"This value gives the priority of the respective operativeContainerType. The lower the value the higher is the priority, e.g. priority 1 is higher than priority 10. The priority can be used to order packingContainerTypes in the UI.","format":"int32","maximum":10000,"minimum":1,"type":"integer"},"scannableIdentifiers":{"items":{"$ref":"#/components/schemas/ScannableIdentifier"},"maxItems":1,"type":"array"},"status":{"$ref":"#/components/schemas/OperativeContainerTypeStatus"},"weightLimitInG":{"description":"Maximal weight in gramm(gr) the container can be loaded with. ","minimum":1,"type":"number"}},"required":["id","version","nameLocalized","allowedOperativeTypes"],"type":"object","title":"OperativeContainerType","description":"OperativeContainerType"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/operativecontainertypes/{operativeContainerTypeId}":{"patch":{"description":"Updates the operativeContainerType with the given ID.","operationId":"updateOperativeContainerTypeById","parameters":[{"description":"id of the operativeContainer you want to update","in":"path","name":"operativeContainerTypeId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperativeContainerTypeForUpdate"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperativeContainerType"}}},"description":"Found operativeContainerType by given ID"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Update operative container type","tags":["Operative Container (Operations)"]}}}}
```

## PUT /api/operativecontainertypes/{operativeContainerTypeId}/icon

> Update operative container type icon

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to manipulate operative containers.","name":"Operative Container (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"NamedFile":{"additionalProperties":false,"properties":{"content":{"description":"File content base64 encoded","type":"string"},"name":{"description":"File name with extension","type":"string"}},"required":["name","content"],"type":"object","xml":{"name":"NamedFile"},"title":"NamedFile","description":"NamedFile"},"OperativeContainerType":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"allowedOperativeTypes":{"items":{"$ref":"#/components/schemas/OperativeType"},"minItems":1,"type":"array"},"customAttributes":{"description":"Attributes that can be added to the operativeContainerType. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"description":{"type":"string"},"dimensions":{"$ref":"#/components/schemas/ContainerDimensions"},"iconUrl":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"},"priority":{"description":"This value gives the priority of the respective operativeContainerType. The lower the value the higher is the priority, e.g. priority 1 is higher than priority 10. The priority can be used to order packingContainerTypes in the UI.","format":"int32","maximum":10000,"minimum":1,"type":"integer"},"scannableIdentifiers":{"items":{"$ref":"#/components/schemas/ScannableIdentifier"},"maxItems":1,"type":"array"},"status":{"$ref":"#/components/schemas/OperativeContainerTypeStatus"},"weightLimitInG":{"description":"Maximal weight in gramm(gr) the container can be loaded with. ","minimum":1,"type":"number"}},"required":["id","version","nameLocalized","allowedOperativeTypes"],"type":"object","title":"OperativeContainerType","description":"OperativeContainerType"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"OperativeType":{"enum":["PICKING","PACKING_SOURCE","PACKING_TARGET","HANDOVER","SERVICE"],"type":"string","title":"OperativeType","description":"OperativeType"},"ContainerDimensions":{"additionalProperties":false,"properties":{"heightInCm":{"description":"The height of the container (in cm)","type":"number"},"lengthInCm":{"description":"The length of the container (in cm)","type":"number"},"weightInG":{"description":"The weight of the container (in g)","type":"number"},"widthInCm":{"description":"The width of the container (in cm)","type":"number"}},"type":"object","title":"ContainerDimensions","description":"ContainerDimensions"},"ScannableIdentifier":{"additionalProperties":false,"properties":{"identifiers":{"items":{"maxItems":10,"minItems":1,"type":"string"},"type":"array"},"searchType":{"$ref":"#/components/schemas/SearchType"}},"required":["identifiers"],"type":"object","title":"ScannableIdentifier","description":"ScannableIdentifier"},"SearchType":{"enum":["PREFIX","SUFFIX","CONTAINS"],"type":"string","title":"SearchType","description":"SearchType"},"OperativeContainerTypeStatus":{"enum":["INACTIVE","ACTIVE"],"type":"string","title":"OperativeContainerTypeStatus","description":"OperativeContainerTypeStatus"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/operativecontainertypes/{operativeContainerTypeId}/icon":{"put":{"operationId":"uploadOperativeContainerTypeIcon","parameters":[{"in":"path","name":"operativeContainerTypeId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NamedFile"}}},"description":"Base64 encoded icon to upload","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperativeContainerType"}}},"description":"Successfully updated operative container type icon."},"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperativeContainerType"}}},"description":"Successfully created operative container type icon."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Update operative container type icon","tags":["Operative Container (Operations)"]}}}}
```
